A valid request URL is required to generate request examples{
"data": [
{
"date": "2023-12-25",
"count": 123,
"object": "<string>"
}
],
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}Get member earning-rule daily report
This documentation is in progress. The parameters, fields, request and response bodies, and other data may be subject to change. If you need more information or you want to share feedback, contact Voucherify support or your Technical Account Manager.
Returns aggregated daily usage statistics for a specific earning rule and member over the given date range and resolution.
The date range is limited per resolution:
maximum 90 days for day, 12 weeks for week, 12 months for month, 4 quarters for quarter.
A valid request URL is required to generate request examples{
"data": [
{
"date": "2023-12-25",
"count": 123,
"object": "<string>"
}
],
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}Authorizations
Path Parameters
Unique loyalty program identifier (format: lprg_ followed by hexadecimal characters).
^lprg_[a-f0-9]+$Unique loyalty member identifier (format: lmbr_ followed by hexadecimal characters).
^lmbr_[a-f0-9]+$Unique earning rule identifier (format: lern_ followed by hexadecimal characters).
^lern_[a-f0-9]+$Query Parameters
Start of the report date range (inclusive), in YYYY-MM-DD format.
^\d{4}-\d{2}-\d{2}$End of the report date range, in YYYY-MM-DD format. Must be after start_date.
^\d{4}-\d{2}-\d{2}$Aggregation resolution of the report. The allowed date range depends on the resolution: day — max 90 days, week — max 12 weeks, month — max 12 months, quarter — max 4 quarters.
day, week, month, quarter Was this page helpful?

